View Issue Details

IDProjectCategoryLast Update
0019591AI War 2[All Projects] Bug - GameplayMay 1, 2018 3:10 pm
ReporterOvalcircleAssigned ToBadgerBadger 
Severityminor 
Status feedbackResolutionopen 
Product Version0.720 
Fixed in Version 
Summary0019591: Nanocaust ship(s) appearing on another planet randomly
DescriptionI was playing a normal game, watching the Devourer nom stuff when I started clicking and looking at the other planets ahead to see what it was up against later on. I click back on the Devourer planet and a shot or missile or whatever spawns in near the middle top of the planet, hits an AI fighter and is then converted to the Nanocaust. I attached screenshots and a save to look at. The save is after it happened, as I tried reproducing it and it didn't work. This happened to me yesterday as well, when I looked at a planet far away from the Nanocaust and saw a bunch of converted Missile Corvettes.
TagsNo tags attached.

Relationships

related to 0019604 assignedkeith.lamothe Partitioning bug for AOE weapons allows AOE to hit multiple planets 

Activities

Ovalcircle

Apr 15, 2018 2:39 pm

reporter  

Nano Bug 1 .jpg (159,757 bytes)
Nano Bug 1 .jpg (159,757 bytes)
Nano Bug 2.jpg (193,353 bytes)
Nano Bug 2.jpg (193,353 bytes)
nano bug.save (2,091,992 bytes)

Ovalcircle

Apr 15, 2018 2:50 pm

reporter   ~0047434

Just want to make clear that the Nanocaust was enabled, as i didn't mention that in the report, though it can be seen in the screenshots.

Ovalcircle

Apr 18, 2018 12:30 am

reporter   ~0047435

Happened again. This time three times in a row. Maybe the shot appearing last time was a fluke, because this time it was on my own planet. Only minor faction enabled is Nanocaust. Is this some sort of intended behavior on intensity 10? Too lazy to post pics, but it's a Nanocaust ship in the middle of my world. Self explanatory. I saved it right before a fighter or two appeared, but when i reloaded it, the fighters failed to spawn. Look at the world with all the powerful stuff of mine on it. Nanocaust is all the way on the other side of the map.

nano sudden spawn.save (2,469,804 bytes)

x4000Bughunter

Apr 25, 2018 11:58 am

administrator   ~0047455

Badger, I'm going to push this one your direction, because it seems like the first line of bugs here is that the nanocaust is sniping other ships randomly from planet center. That can only be a sim thing, and would be related to the nanocaust code, I presume. There might be a vis layer thing as to the confused visuals after that, but this is pretty strange.

BadgerBadger

Apr 25, 2018 12:12 pm

manager   ~0047459

Last edited: Apr 25, 2018 12:17 pm

View 3 revisions

See my comments in 0019604.

I suspect that clearing up that issue will go a long way toward fixing this issue

x4000Bughunter

Apr 25, 2018 12:25 pm

administrator   ~0047464

Got it, thanks!

BadgerBadger

Apr 25, 2018 3:06 pm

manager   ~0047469

Last edited: Apr 25, 2018 3:07 pm

View 2 revisions

This bug is not going to be worked further by me until 0019604 gets fixed. Once that gets fixed, please let me know if the problem is still visible and I'll investigate further.

BadgerBadger

May 1, 2018 3:10 pm

manager   ~0047532

This bug is the confluence of two bugs; one where units that had taken nanocaust damage but were killed by another faction (like the Devourer) would wind up owned by the Devourer, not that Nanocaust. The other is a bug with the AOE shot code where it would use stale "nearby part of a planet" data, this allowing shots on planet 1 to hit things on planet 2.

I have fixed the Nanocaust related issue, the AOE shot stuff is waiting on Keith. Once he fixes that then let me know if there are still problems

Issue History

Date Modified Username Field Change
Apr 15, 2018 2:39 pm Ovalcircle New Issue
Apr 15, 2018 2:39 pm Ovalcircle File Added: Nano Bug 1 .jpg
Apr 15, 2018 2:39 pm Ovalcircle File Added: Nano Bug 2.jpg
Apr 15, 2018 2:39 pm Ovalcircle File Added: nano bug.save
Apr 15, 2018 2:50 pm Ovalcircle Note Added: 0047434
Apr 18, 2018 12:30 am Ovalcircle File Added: nano sudden spawn.save
Apr 18, 2018 12:30 am Ovalcircle Note Added: 0047435
Apr 25, 2018 10:00 am BadgerBadger Relationship added related to 0019604
Apr 25, 2018 11:57 am x4000Bughunter Assigned To => BadgerBadger
Apr 25, 2018 11:57 am x4000Bughunter Status new => assigned
Apr 25, 2018 11:58 am x4000Bughunter Note Added: 0047455
Apr 25, 2018 12:12 pm BadgerBadger Note Added: 0047459
Apr 25, 2018 12:17 pm BadgerBadger Note Edited: 0047459 View Revisions
Apr 25, 2018 12:17 pm BadgerBadger Note Edited: 0047459 View Revisions
Apr 25, 2018 12:25 pm x4000Bughunter Note Added: 0047464
Apr 25, 2018 3:06 pm BadgerBadger Note Added: 0047469
Apr 25, 2018 3:07 pm BadgerBadger Note Edited: 0047469 View Revisions
May 1, 2018 3:10 pm BadgerBadger Status assigned => feedback
May 1, 2018 3:10 pm BadgerBadger Note Added: 0047532